package com.migao.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.migao.config.response.ResponseBean;
import com.migao.entity.po.DemandLibrary;
import com.migao.entity.vo.req.DemandLibraryInsertReq;
import com.migao.entity.vo.req.DemandLibraryUpdateReq;

/**
 * @author dingsong
 */
public interface DemandLibraryService extends IService<DemandLibrary> {
    /**
     * 增
     * @param demandLibrary
     * @return
     */
    ResponseBean<?> insert(DemandLibraryInsertReq demandLibrary);

    /**
     * 删
     * @param id
     * @return
     */
    ResponseBean<?> deleteById(Integer id);

    /**
     * 改
     * @param libraryUpdateReq
     * @return
     */
    ResponseBean<?> update(DemandLibraryUpdateReq libraryUpdateReq);


}
